package ru.redguy.dynamicshop.gui;

import me.filoghost.chestcommands.api.Menu;
import org.bukkit.entity.Player;
import ru.redguy.dynamicshop.DynamicShop;
import ru.redguy.dynamicshop.gui.icons.ItemIconSell;

public class ShopGuiSell {
    private static final Menu menu = Menu.create(DynamicShop.getInstance(),"Магазин | Продажа",6);

    static {
        populateIcons();
    }

    public static void open(Player player) {
        menu.open(player);
    }

    public static void update() {
        menu.refreshOpenViews();
    }

    private static void populateIcons() {
        for (int row = 0; row < 3; row++) {
            for (int id = 0; id < 9; id++) {
                menu.setIcon(row,id,new ItemIconSell(row*9+id));
            }
        }
    }
}
